scalar_base.hpp File Reference

The base class for scalar types. More...

`#include "./binary.hpp"`
`#include "./decimal.hpp"`
`#include "./error.hpp"`
`#include "./internal/comparable.hpp"`
`#include "./internal/export.hpp"`
`#include "./internal/type_traits.hpp"`
`#include "./symbol.hpp"`
`#include "./timestamp.hpp"`
`#include "./type_id.hpp"`
`#include "./types_fwd.hpp"`
`#include "./uuid.hpp"`
`#include <proton/type_compat.h>`
`#include <iosfwd>`
`#include <string>`
`#include <typeinfo>`
Include dependency graph for scalar_base.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | scalar_base
| The base class for scalar types. More...

## Namespaces

| proton
| The main Proton namespace.
| proton::codec
| Unsettled API - AMQP data encoding and decoding.

## Functions

std::string | to_string (const scalar_base &x)
| Return a readable string representation of x for display purposes.

## Detailed Description

The base class for scalar types.